## ros-noetic-flexbe-states 1.4.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(flexbe_states)

find_package(catkin REQUIRED)

## Uncomment this if the package has a setup.py. This macro ensures
## modules and global scripts declared therein get installed
## See http://ros.org/doc/api/catkin/html/user_guide/setup_dot_py.html
catkin_python_setup()

# specify catkin-specific information
# INCLUDE_DIRS - The exported include paths (i.e. cflags) for the package
# LIBRARIES - The exported libraries from the project
# CATKIN_DEPENDS - Other catkin projects that this project depends on
# DEPENDS - Non-catkin CMake projects that this project depends on
# CFG_EXTRAS - Additional configuration options 
catkin_package(
    INCLUDE_DIRS src
    LIBRARIES ${PROJECT_NAME})

# use add_library() or add_executable() as required
#add_library(${PROJECT_NAME} ${${PROJECT_NAME}_SRCS})

# install executables
#install(PROGRAMS bin/hello
#        DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

# run tests
if(CATKIN_ENABLE_TESTING)
	find_package(rostest REQUIRED)
	add_rostest(tests/run_rostest.test)
endif()

## ros-noetic-flexbe-states 1.3.1

=== debian/changelog ===
ros-noetic-flexbe-states (1.3.1-1buster) buster; urgency=high

  * [flexbe_states] Pass flexible calculation state input as kwargs for python3 compatibility
  * Contributors: Philipp Schillinger

 -- Philipp Schillinger <schillin@kth.se>  Thu, 10 Dec 2020 23:00:00 -0000

ros-noetic-flexbe-states (1.3.0-1buster) buster; urgency=high

  * Merge remote-tracking branch 'origin/feature/core_rework' into develop
    # Conflicts:
    #     flexbe_core/src/flexbe_core/core/operatable_state_machine.py
    #     flexbe_onboard/src/flexbe_onboard/flexbe_onboard.py
  * [flexbe_states] Cleanup of states
  * Major clean-up of most core components
  * Remove smach dependency
  * Contributors: Philipp Schillinger

 -- Philipp Schillinger <schillin@kth.se>  Wed, 18 Nov 2020 23:00:00 -0000

ros-noetic-flexbe-states (1.2.5-1buster) buster; urgency=high

  * [flexbe_states] Fix ambiguous import of subscriber state
  * Merge branch 'develop' into feature/state_logger_rework
  * [flexbe_states] Clean up input state
  * Contributors: Philipp Schillinger

 -- Philipp Schillinger <schillin@kth.se>  Sat, 13 Jun 2020 22:00:00 -0000

ros-noetic-flexbe-states (1.2.4-1buster) buster; urgency=high

  * Merge branch 'fmessmer-feature/python3_compatibility' into develop
  * python3 compatibility via 2to3
  * Contributors: Philipp Schillinger, fmessmer

 -- Philipp Schillinger <schillin@kth.se>  Tue, 24 Mar 2020 23:00:00 -0000

ros-noetic-flexbe-states (1.2.3-1buster) buster; urgency=high

  * Merge pull request #97 <https://github.com/team-vigir/flexbe_behavior_engine/issues/97> from team-vigir/feature/test_behaviors
    flexbe_testing support for behaviors
  * Revise internal dependencies
  * Merge remote-tracking branch 'origin/develop' into feature/test_behaviors
    # Conflicts:
    #     flexbe_testing/bin/testing_node
    #     flexbe_testing/src/flexbe_testing/state_tester.py
  * [flexbe_testing] Refactor testing framework as basis for new feature
  * Contributors: Philipp Schillinger

 -- Philipp Schillinger <schillin@kth.se>  Thu, 09 Jan 2020 23:00:00 -0000

ros-noetic-flexbe-states (1.2.2-1buster) buster; urgency=high



 -- Philipp Schillinger <schillin@kth.se>  Sun, 15 Sep 2019 22:00:00 -0000

ros-noetic-flexbe-states (1.2.1-1buster) buster; urgency=high

  * Merge pull request #72 <https://github.com/team-vigir/flexbe_behavior_engine/issues/72> from mgruhler/fix/filemodes
    fix filemodes: those files should not be executable
  * fix filemodes: those files should not be executable
  * Merge remote-tracking branch 'origin/feature/sub_parameters' into develop
  * Bump required flexbe_app version
  * Merge remote-tracking branch 'origin/master' into develop
  * Contributors: Matthias Gruhler, Philipp Schillinger

 -- Philipp Schillinger <schillin@kth.se>  Sat, 01 Jun 2019 22:00:00 -0000

ros-noetic-flexbe-states (1.1.2-1buster) buster; urgency=high

  * Merge remote-tracking branch 'origin/master' into develop
  * Contributors: Philipp Schillinger

 -- Philipp Schillinger <schillin@kth.se>  Mon, 08 Apr 2019 22:00:00 -0000

ros-noetic-flexbe-states (1.1.1-1buster) buster; urgency=high

  * Merge remote-tracking branch 'origin/develop'
  * Revise run dependencies
  * [flexbe_states] Remove deprecated concurrent_state - use Concurrency container instead
  * Merge remote-tracking branch 'origin/master' into develop
  * Contributors: Philipp Schillinger

 -- Philipp Schillinger <schillin@kth.se>  Mon, 17 Dec 2018 23:00:00 -0000

ros-noetic-flexbe-states (1.1.0-1buster) buster; urgency=high

  * Merge branch 'develop'
  * Merge branch 'feature/flexbe_app' into develop
  * Update maintainer information
  * Merge remote-tracking branch 'origin/fix/state_tests' into feature/flexbe_app
  * [flexbe_states] Add pose test for subscriber state
  * Merge remote-tracking branch 'origin/develop' into feature/flexbe_app
  * Merge pull request #52 <https://github.com/team-vigir/flexbe_behavior_engine/issues/52> from ruvu/fix/catkin_lint_errors_and_warnings
    chore: ran catkin_lint and fixed warnings and errors
  * Merge branch 'develop' into feature/flexbe_app
  * Merge branch 'develop'
  * [flexbe_states] Explicitly set message to None in SubscriberState if unavailable
  * Merge remote-tracking branch 'origin/develop' into feature/flexbe_app
  * Merge pull request #42 <https://github.com/team-vigir/flexbe_behavior_engine/issues/42> from alireza-hosseini/feat-string-publisher
    feat: Add String publisher state
  * feat: Add String publisher state
  * Merge remote-tracking branch 'origin/develop'
  * [flexbe_states] Fixed documentation of text format
  * Merge branch 'develop' into feature/flexbe_app
    Conflicts:
    flexbe_mirror/src/flexbe_mirror/flexbe_mirror.py
    flexbe_onboard/src/flexbe_onboard/flexbe_onboard.py
    flexbe_widget/bin/flexbe_app
    flexbe_widget/src/flexbe_widget/behavior_action_server.py
  * Merge remote-tracking branch 'origin/tudarmstadt' into develop
    Conflicts:
    flexbe_widget/src/flexbe_widget/behavior_action_server.py
  * Changed value parameter to input key
  * Created bool publisher state
  * Merge remote-tracking branch 'origin/develop'
    Conflicts:
    flexbe_onboard/src/flexbe_onboard/flexbe_onboard.py
  * Added new state for publishing an empty message in a given topic
  * Added new state to log data key
  * [flexbe_states] Add state export tag
  * Added a flexible check condition state to evaluate a predicate with multiple userdata
  * Merge remote-tracking branch 'origin/develop'
  * [flexbe_states] Added option to subscriber state to initially drop older messages
  * [flexbe_states] Do not set subscriber to None in subscriber state if topic is not available
  * [flexbe_states] Fixed subscriber state
  * Merge remote-tracking branch 'origin/feature/multirobot'
  * Merge remote-tracking branch 'origin/master' into feature/multirobot
    Conflicts:
    flexbe_core/src/flexbe_core/core/monitoring_state.py
    flexbe_core/src/flexbe_core/core/operatable_state.py


=== debian/control ===
Source: ros-noetic-flexbe-states
Section: misc
Priority: optional
Maintainer: Philipp Schillinger <schillin@kth.se>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin, ros-noetic-geometry-msgs, ros-noetic-rostest
Homepage: http://ros.org/wiki/flexbe_states
Standards-Version: 3.9.2

Package: ros-noetic-flexbe-states
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-flexbe-core, ros-noetic-flexbe-msgs, ros-noetic-flexbe-testing, ros-noetic-rosbag, ros-noetic-rospy
Description: flexbe_states provides a collection of predefined states.
 Feel free to add new states.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-flexbe-states//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install

## ros-noetic-flexbe-states 1.4.0

=== debian/changelog ===
ros-noetic-flexbe-states (1.4.0-2focal) focal; urgency=high

  * Updates for Melodic and Noetic releases on github.com/FlexBE

 -- Philipp Schillinger <schillin@kth.se>  Thu, 18 May 2023 04:00:00 -0000

ros-noetic-flexbe-states (1.3.1-2focal) focal; urgency=high

  * [flexbe_states] Pass flexible calculation state input as kwargs for python3 compatibility
  * Contributors: Philipp Schillinger

 -- Philipp Schillinger <schillin@kth.se>  Fri, 11 Dec 2020 05:00:00 -0000

ros-noetic-flexbe-states (1.3.0-2focal) focal; urgency=high

  * Merge remote-tracking branch 'origin/feature/core_rework' into develop
    # Conflicts:
    #     flexbe_core/src/flexbe_core/core/operatable_state_machine.py
    #     flexbe_onboard/src/flexbe_onboard/flexbe_onboard.py
  * [flexbe_states] Cleanup of states
  * Major clean-up of most core components
  * Remove smach dependency
  * Contributors: Philipp Schillinger

 -- Philipp Schillinger <schillin@kth.se>  Thu, 19 Nov 2020 05:00:00 -0000

ros-noetic-flexbe-states (1.2.5-2focal) focal; urgency=high

  * [flexbe_states] Fix ambiguous import of subscriber state
  * Merge branch 'develop' into feature/state_logger_rework
  * [flexbe_states] Clean up input state
  * Contributors: Philipp Schillinger

 -- Philipp Schillinger <schillin@kth.se>  Sun, 14 Jun 2020 04:00:00 -0000

ros-noetic-flexbe-states (1.2.4-2focal) focal; urgency=high

  * Merge branch 'fmessmer-feature/python3_compatibility' into develop
  * python3 compatibility via 2to3
  * Contributors: Philipp Schillinger, fmessmer

 -- Philipp Schillinger <schillin@kth.se>  Wed, 25 Mar 2020 04:00:00 -0000

ros-noetic-flexbe-states (1.2.3-2focal) focal; urgency=high

  * Merge pull request #97 <https://github.com/team-vigir/flexbe_behavior_engine/issues/97> from team-vigir/feature/test_behaviors
    flexbe_testing support for behaviors
  * Revise internal dependencies
  * Merge remote-tracking branch 'origin/develop' into feature/test_behaviors
    # Conflicts:
    #     flexbe_testing/bin/testing_node
    #     flexbe_testing/src/flexbe_testing/state_tester.py
  * [flexbe_testing] Refactor testing framework as basis for new feature
  * Contributors: Philipp Schillinger

 -- Philipp Schillinger <schillin@kth.se>  Fri, 10 Jan 2020 05:00:00 -0000

ros-noetic-flexbe-states (1.2.2-2focal) focal; urgency=high



 -- Philipp Schillinger <schillin@kth.se>  Mon, 16 Sep 2019 04:00:00 -0000

ros-noetic-flexbe-states (1.2.1-2focal) focal; urgency=high

  * Merge pull request #72 <https://github.com/team-vigir/flexbe_behavior_engine/issues/72> from mgruhler/fix/filemodes
    fix filemodes: those files should not be executable
  * fix filemodes: those files should not be executable
  * Merge remote-tracking branch 'origin/feature/sub_parameters' into develop
  * Bump required flexbe_app version
  * Merge remote-tracking branch 'origin/master' into develop
  * Contributors: Matthias Gruhler, Philipp Schillinger

 -- Philipp Schillinger <schillin@kth.se>  Sun, 02 Jun 2019 04:00:00 -0000

ros-noetic-flexbe-states (1.1.2-2focal) focal; urgency=high

  * Merge remote-tracking branch 'origin/master' into develop
  * Contributors: Philipp Schillinger

 -- Philipp Schillinger <schillin@kth.se>  Tue, 09 Apr 2019 04:00:00 -0000

ros-noetic-flexbe-states (1.1.1-2focal) focal; urgency=high

  * Merge remote-tracking branch 'origin/develop'
  * Revise run dependencies
  * [flexbe_states] Remove deprecated concurrent_state - use Concurrency container instead
  * Merge remote-tracking branch 'origin/master' into develop
  * Contributors: Philipp Schillinger

 -- Philipp Schillinger <schillin@kth.se>  Tue, 18 Dec 2018 05:00:00 -0000

ros-noetic-flexbe-states (1.1.0-2focal) focal; urgency=high

  * Merge branch 'develop'
  * Merge branch 'feature/flexbe_app' into develop
  * Update maintainer information
  * Merge remote-tracking branch 'origin/fix/state_tests' into feature/flexbe_app
  * [flexbe_states] Add pose test for subscriber state
  * Merge remote-tracking branch 'origin/develop' into feature/flexbe_app
  * Merge pull request #52 <https://github.com/team-vigir/flexbe_behavior_engine/issues/52> from ruvu/fix/catkin_lint_errors_and_warnings
    chore: ran catkin_lint and fixed warnings and errors
  * Merge branch 'develop' into feature/flexbe_app
  * Merge branch 'develop'
  * [flexbe_states] Explicitly set message to None in SubscriberState if unavailable
  * Merge remote-tracking branch 'origin/develop' into feature/flexbe_app
  * Merge pull request #42 <https://github.com/team-vigir/flexbe_behavior_engine/issues/42> from alireza-hosseini/feat-string-publisher
    feat: Add String publisher state
  * feat: Add String publisher state
  * Merge remote-tracking branch 'origin/develop'
  * [flexbe_states] Fixed documentation of text format
  * Merge branch 'develop' into feature/flexbe_app
    Conflicts:
    flexbe_mirror/src/flexbe_mirror/flexbe_mirror.py
    flexbe_onboard/src/flexbe_onboard/flexbe_onboard.py
    flexbe_widget/bin/flexbe_app
    flexbe_widget/src/flexbe_widget/behavior_action_server.py
  * Merge remote-tracking branch 'origin/tudarmstadt' into develop
    Conflicts:
    flexbe_widget/src/flexbe_widget/behavior_action_server.py
  * Changed value parameter to input key
  * Created bool publisher state
  * Merge remote-tracking branch 'origin/develop'
    Conflicts:
    flexbe_onboard/src/flexbe_onboard/flexbe_onboard.py
  * Added new state for publishing an empty message in a given topic
  * Added new state to log data key
  * [flexbe_states] Add state export tag
  * Added a flexible check condition state to evaluate a predicate with multiple userdata
  * Merge remote-tracking branch 'origin/develop'
  * [flexbe_states] Added option to subscriber state to initially drop older messages
  * [flexbe_states] Do not set subscriber to None in subscriber state if topic is not available
  * [flexbe_states] Fixed subscriber state
  * Merge remote-tracking branch 'origin/feature/multirobot'


=== debian/control ===
Source: ros-noetic-flexbe-states
Section: misc
Priority: optional
Maintainer: Philipp Schillinger <schillin@kth.se>
Build-Depends: debhelper (>= 9.0.0), python3-setuptools, ros-noetic-catkin, ros-noetic-geometry-msgs <!nocheck>, ros-noetic-rostest
Homepage: http://ros.org/wiki/flexbe_states
Standards-Version: 3.9.2

Package: ros-noetic-flexbe-states
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-flexbe-core, ros-noetic-flexbe-msgs, ros-noetic-flexbe-testing, ros-noetic-rosbag, ros-noetic-rospy, ros-noetic-rostest
Description: flexbe_states provides a collection of predefined states.
 Feel free to add new states.

=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,14 @@
 # Explicitly enable -DNDEBUG, see:
 # 	https://github.com/ros-infrastructure/bloom/issues/327
 export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
+ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
+endif
+
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 %:
-	dh $@ -v --buildsystem=cmake
+	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)
 
 override_dh_auto_configure:
 	# In case we're installing to a non-standard location, look for a setup.sh
@@ -29,7 +34,8 @@
 	dh_auto_configure -- \
 		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
 		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
-		-DCMAKE_PREFIX_PATH="/opt/ros/noetic"
+		-DCMAKE_PREFIX_PATH="/opt/ros/noetic" \
+		$(BUILD_TESTING_ARG)
 
 override_dh_auto_build:
 	# In case we're installing to a non-standard location, look for a setup.sh
